package Gravitation;

import static org.lwjgl.opengl.GL11.*;

import org.newdawn.slick.opengl.Texture;
import org.lwjgl.opengl.GL11;

//      ,   ,
//        

public class FontStandart {
	Texture texture = Textures.font128;
	
	
	public int base;						//  private
	
	
	
	
	public FontStandart(){
		base = GL11.glGenLists(256);
		GL11.glBindTexture(GL11.GL_TEXTURE_2D, texture.getTextureID());
		
		for (int i = 0; i < 16; i++) {
			for (int j = 0; j < 16; j++) {
				GL11.glNewList(base + i*16 + j, GL11.GL_COMPILE);

					GL11.glBegin(GL11.GL_QUADS);
						GL11.glTexCoord2f(j/16f, (i+1)/16f);
						GL11.glVertex2i(0, 0);
						
						GL11.glTexCoord2f((j+1)/16f, (i+1)/16f);
						GL11.glVertex2i(1,0);
						
			            GL11.glTexCoord2f((j+1)/16f, i/16f);
			            GL11.glVertex2i(1,1);
				
			            GL11.glTexCoord2f(j/16f, i/16f);
			            GL11.glVertex2i(0, 1);
					GL11.glEnd();
				
		            GL11.glTranslatef(0.8f, 0.0f, 0.0f);
				GL11.glEndList();
				
			}
		}
	}
	
	public void printChar(char c, float size){
        GL11.glEnable(GL11.GL_BLEND);
	    GL11.glDisable(GL11.GL_DEPTH_TEST);
		
		GL11.glBindTexture(GL11.GL_TEXTURE_2D, texture.getTextureID());
		GL11.glScalef(size, size, 1);
		GL11.glCallList(base + c);
		GL11.glScalef(1/size, 1/size, 1);
	}
	
	public void printString(String string, float size){
		
		glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
        GL11.glEnable(GL11.GL_BLEND);
	    GL11.glDisable(GL11.GL_DEPTH_TEST);
	    
	    
		
		GL11.glBindTexture(GL11.GL_TEXTURE_2D, texture.getTextureID());
		GL11.glScalef(size, size, 1);
		GL11.glPushMatrix();
		for (int i = 0; i < string.length(); i++) {
	    	GL11.glCallList(base + string.charAt(i));
	    	
	    	if (string.charAt(i) == 10){
	    		GL11.glPopMatrix();
		        GL11.glTranslatef(0, -1.2f, 0);
		        GL11.glPushMatrix();
	    	}
	    	
		}
		GL11.glPopMatrix();
		GL11.glScalef(1/size, 1/size, 1);
		
	    GL11.glEnable(GL11.GL_DEPTH_TEST);
        GL11.glDisable(GL11.GL_BLEND);
        GL11.glEnable(GL11.GL_LIGHTING);
		
		
	}
	
	
	
	
}
