package Gravitation;


import org.lwjgl.input.Keyboard;
import org.lwjgl.input.Mouse;



public class Control {
	
	public boolean keys[] = new boolean[Keyboard.KEYBOARD_SIZE];
	public boolean keysPressed[] = new boolean[Keyboard.KEYBOARD_SIZE];
	public float LookX, LookY;
	public int Wheel;
	public boolean leftButton, rightButton, middleButton;
	
	// . 
	public boolean GoForward, GoBackward, GoRight, GoLeft;
	public boolean LookUp, LookDown, LookRight, LookLeft;
	//public boolean space;
	//public boolean up,down;
	
	  public final int EVENT_SIZE = 18;
	  public final int CHAR_NONE = 0;
	  public final int KEY_NONE = 0;
	  public final int KEY_ESCAPE = 1;
	  public final int KEY_1 = 2;
	  public final int KEY_2 = 3;
	  public final int KEY_3 = 4;
	  public final int KEY_4 = 5;
	  public final int KEY_5 = 6;
	  public final int KEY_6 = 7;
	  public final int KEY_7 = 8;
	  public final int KEY_8 = 9;
	  public final int KEY_9 = 10;
	  public final int KEY_0 = 11;
	  public final int KEY_MINUS = 12;
	  public final int KEY_EQUALS = 13;
	  public final int KEY_BACK = 14;
	  public final int KEY_TAB = 15;
	  public final int KEY_Q = 16;
	  public final int KEY_W = 17;
	  public final int KEY_E = 18;
	  public final int KEY_R = 19;
	  public final int KEY_T = 20;
	  public final int KEY_Y = 21;
	  public final int KEY_U = 22;
	  public final int KEY_I = 23;
	  public final int KEY_O = 24;
	  public final int KEY_P = 25;
	  public final int KEY_LBRACKET = 26;
	  public final int KEY_RBRACKET = 27;
	  public final int KEY_RETURN = 28;
	  public final int KEY_LCONTROL = 29;
	  public final int KEY_A = 30;
	  public final int KEY_S = 31;
	  public final int KEY_D = 32;
	  public final int KEY_F = 33;
	  public final int KEY_G = 34;
	  public final int KEY_H = 35;
	  public final int KEY_J = 36;
	  public final int KEY_K = 37;
	  public final int KEY_L = 38;
	  public final int KEY_SEMICOLON = 39;
	  public final int KEY_APOSTROPHE = 40;
	  public final int KEY_GRAVE = 41;
	  public final int KEY_LSHIFT = 42;
	  public final int KEY_BACKSLASH = 43;
	  public final int KEY_Z = 44;
	  public final int KEY_X = 45;
	  public final int KEY_C = 46;
	  public final int KEY_V = 47;
	  public final int KEY_B = 48;
	  public final int KEY_N = 49;
	  public final int KEY_M = 50;
	  public final int KEY_COMMA = 51;
	  public final int KEY_PERIOD = 52;
	  public final int KEY_SLASH = 53;
	  public final int KEY_RSHIFT = 54;
	  public final int KEY_MULTIPLY = 55;
	  public final int KEY_LMENU = 56;
	  public final int KEY_SPACE = 57;
	  public final int KEY_CAPITAL = 58;
	  public final int KEY_F1 = 59;
	  public final int KEY_F2 = 60;
	  public final int KEY_F3 = 61;
	  public final int KEY_F4 = 62;
	  public final int KEY_F5 = 63;
	  public final int KEY_F6 = 64;
	  public final int KEY_F7 = 65;
	  public final int KEY_F8 = 66;
	  public final int KEY_F9 = 67;
	  public final int KEY_F10 = 68;
	  public final int KEY_NUMLOCK = 69;
	  public final int KEY_SCROLL = 70;
	  public final int KEY_NUMPAD7 = 71;
	  public final int KEY_NUMPAD8 = 72;
	  public final int KEY_NUMPAD9 = 73;
	  public final int KEY_SUBTRACT = 74;
	  public final int KEY_NUMPAD4 = 75;
	  public final int KEY_NUMPAD5 = 76;
	  public final int KEY_NUMPAD6 = 77;
	  public final int KEY_ADD = 78;
	  public final int KEY_NUMPAD1 = 79;
	  public final int KEY_NUMPAD2 = 80;
	  public final int KEY_NUMPAD3 = 81;
	  public final int KEY_NUMPAD0 = 82;
	  public final int KEY_DECIMAL = 83;
	  public final int KEY_F11 = 87;
	  public final int KEY_F12 = 88;
	  public final int KEY_F13 = 100;
	  public final int KEY_F14 = 101;
	  public final int KEY_F15 = 102;
	  public final int KEY_KANA = 112;
	  public final int KEY_CONVERT = 121;
	  public final int KEY_NOCONVERT = 123;
	  public final int KEY_YEN = 125;
	  public final int KEY_NUMPADEQUALS = 141;
	  public final int KEY_CIRCUMFLEX = 144;
	  public final int KEY_AT = 145;
	  public final int KEY_COLON = 146;
	  public final int KEY_UNDERLINE = 147;
	  public final int KEY_KANJI = 148;
	  public final int KEY_STOP = 149;
	  public final int KEY_AX = 150;
	  public final int KEY_UNLABELED = 151;
	  public final int KEY_NUMPADENTER = 156;
	  public final int KEY_RCONTROL = 157;
	  public final int KEY_NUMPADCOMMA = 179;
	  public final int KEY_DIVIDE = 181;
	  public final int KEY_SYSRQ = 183;
	  public final int KEY_RMENU = 184;
	  public final int KEY_PAUSE = 197;
	  public final int KEY_HOME = 199;
	  public final int KEY_UP = 200;
	  public final int KEY_PRIOR = 201;
	  public final int KEY_LEFT = 203;
	  public final int KEY_RIGHT = 205;
	  public final int KEY_END = 207;
	  public final int KEY_DOWN = 208;
	  public final int KEY_NEXT = 209;
	  public final int KEY_INSERT = 210;
	  public final int KEY_DELETE = 211;
	  public final int KEY_LMETA = 219;
	  // (deprecated)
	  public final int KEY_LWIN = 219;
	  public final int KEY_RMETA = 220;
	  // (deprecated)
	  public final int KEY_RWIN = 220;
	  public final int KEY_APPS = 221;
	  public final int KEY_POWER = 222;
	  public final int KEY_SLEEP = 223;
	  public final int KEYBOARD_SIZE = 256;
	  //private final int BUFFER_SIZE = 50;
	

	public Control(){
		for (int i = 0; i < keys.length; i++) {keys[i] = false;}
		for (int i = 0; i < keysPressed.length; i++) {keys[i] = false;}
	}
	
	
	
	
	
	public void getControl(){	
		
        //  
		Wheel = Mouse.getDWheel()/120;
		
		LookY = Mouse.getDX()/5f;
        LookX = Mouse.getDY()/5f;
        
        leftButton = Mouse.isButtonDown(0);
        rightButton = Mouse.isButtonDown(1);
        middleButton = Mouse.isButtonDown(2);
	    //   
		
		
		
		
		for (int i = 0; i < keys.length; i++) {
		     if (Keyboard.isKeyDown(i) == true && keysPressed[i] == false) {
		    	 keysPressed[i] = true;
		    	 if (keysPressed[i]){
		    		 keys[i] = true;
		    	 }
		     }
		     else {
		    	 keys[i] = false;
		     }
		     if (Keyboard.isKeyDown(i) == false) {
		    	 keysPressed[i] = false;
		     }
		}
		
		
		
		myInterface();
		
	}
	
	
	private void myInterface(){
  	     // 
		 if (keysPressed[KEY_UP] || keysPressed[KEY_W])  	{GoForward = true;}
		 else 												{GoForward = false;}
		 
		 if (keysPressed[KEY_DOWN] || keysPressed[KEY_S]) 	{GoBackward = true;}
		 else 												{GoBackward = false;}
		 
		 if (keysPressed[KEY_RIGHT] || keysPressed[KEY_D])	{GoRight = true;}
		 else 												{GoRight = false;}
		 
		 if (keysPressed[KEY_LEFT] || keysPressed[KEY_A]) 	{GoLeft = true;}
		 else 												{GoLeft = false;}
	     //  
		 
	     // 
		 LookUp = keysPressed[KEY_NUMPAD8];
		 LookDown = keysPressed[KEY_NUMPAD2];
		 LookRight = keysPressed[KEY_NUMPAD6];
		 LookLeft = keysPressed[KEY_NUMPAD4];
	     //  
		 
		 
	     //  ,        
		 
		 
		
	}

}
