package Gravitation;

import org.newdawn.slick.opengl.Texture;


public class Textures {
	
	//public static TALTexture white = new TALTexture(new int[][]{{0xFFFF0000}});
	public static TALTexture white = new TALTexture(new int[][]{{0xFFFFFFFF}});
	public static TALTexture black = new TALTexture(new int[][]{{0xFF000000}});
	public static TALTexture blackAndWhite = new TALTexture(new int[]{0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF}, 2);
	public static TALTexture gradient = TALTexture.makeGradient();
	public static Texture font128 = Load.loadTextureFiltered("/data/font128.png");
	public static Texture numbers = Load.loadTextureFiltered("/data/numbers.png");
	
	public static Texture logo = Load.loadTextureFiltered("/data/logo.png");
	public static Texture menuBackground = Load.loadTexture("/data/menuBackground.png");
	public static Texture dirt = Load.loadTextureFiltered("/data/dirt.png");
	public static Texture stone = Load.loadTextureFiltered("/data/stone.png");
	public static Texture sand = Load.loadTextureFiltered("/data/sand.png");
	public static Texture teormeh = Load.loadTextureFiltered("/data/teormeh.png");
	
	public static Texture[] penguin0 = {
		Load.loadTexture("/data/entities/penguin/penguinBodyFront.png"),
		Load.loadTexture("/data/entities/penguin/penguinBody.png"),
		Load.loadTexture("/data/entities/penguin/penguinHeadFront.png"),
		Load.loadTexture("/data/entities/penguin/penguinHead.png")		};
	
	
	public static TALTexture[] penguin = {
		Load.loadTALTexture("/data/entities/penguin/penguinBodyFront.png"),
		Load.loadTALTexture("/data/entities/penguin/penguinBody.png"),
		Load.loadTALTexture("/data/entities/penguin/penguinHeadFront.png"),
		Load.loadTALTexture("/data/entities/penguin/penguinHead.png")		};
	
	public static void loadFilteredNearest(){
		dirt = Load.loadTextureFiltered("/data/dirt.png");
		stone = Load.loadTextureFiltered("/data/stone.png");
		sand = Load.loadTextureFiltered("/data/sand.png");
		teormeh = Load.loadTextureFiltered("/data/teormeh.PNG");
		
		logo = Load.loadTextureFiltered("/data/logo.png");
		menuBackground = Load.loadTextureFiltered("/data/menuBackground.png");
	}
	
	public static void loadFilteredLinear(){
		dirt = Load.loadTexture("/data/dirt.png");
		stone = Load.loadTexture("/data/stone.png");
		sand = Load.loadTexture("/data/sand.png");
		teormeh = Load.loadTexture("/data/teormeh.png");
		
		logo = Load.loadTexture("/data/logo.png");
		menuBackground = Load.loadTexture("/data/menuBackground.png");
		
	}
	
	
}
