package Gravitation.world;

import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
import static org.lwjgl.opengl.GL11.glBindTexture;
import static org.lwjgl.opengl.GL11.glPopMatrix;
import static org.lwjgl.opengl.GL11.glPushMatrix;
import static org.lwjgl.opengl.GL11.glTranslatef;

import java.util.ArrayList;
import java.util.List;

import Gravitation.Textures;

public class World {
	public static final Vector g_metersPerSquareSecond = new Vector().setVector(0, -9.8f, 0);
	public static final Vector g_metersPerSquareFrame = new Vector().setVector(0, -9.8f/3600.0f, 0);
	public static final int FPS = 60;
	public static final float dt = 1f / (float)FPS;		// ,   (float)
	
	private List<Sphere> sphereList = new ArrayList<Sphere>();
	

	
	public void draw() {
		
		for (int i = 0; i < sphereList.size(); i++) {
			Sphere sphere = sphereList.get(i);
			
	        glPushMatrix();
	        glTranslatef(sphere.getPosition().getX(), sphere.getPosition().getY(), sphere.getPosition().getZ());
			glBindTexture(GL_TEXTURE_2D, Textures.stone.getTextureID());
	        sphere.draw();
	        glPopMatrix();
		}
		
	}
	
	public void clear(){
		sphereList = new ArrayList<Sphere>();
	}
	
	
	
	
	public void addSphere(Sphere sphere){
		sphereList.add(sphere);
	}
	
	public void checkSphereCollision(float x, float y, float z, float radius){
		
				
		//       (, , ..)
		
		
		
	}
	
	
	

}
